<?xml version="1.0" encoding="UTF-8"?>
<widget>
<info>

	<PluginName>Vimeo Video</PluginName>
	<PluginVersion>1.0.0</PluginVersion>
	<ApplicationVersion>1.6.0</ApplicationVersion>
</info>

<dict>
<item>
	<key>Plugin Name</key>
	<string>Vimeo Video</string>
</item>
<item>
	<key>FullWidth</key>
	<boolean>TRUE</boolean>
</item>
<item>	
	<key>DefaultWidth</key>
	<integer>560</integer>
</item>
<item>	
	<key>DefaultHeight</key>
	<integer>315</integer>
</item>	
<item>
	<key>HTMLCode</key>
	<string>
<![CDATA[	 <iframe src="http://player.vimeo.com/video/{!-plvimeovideourl-!}" width="{!-$Width-!}" height="{!-$Height-!}" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe> ]]></string>
</item>
<item>	
<key>HTML Code</key>
	<array>
		<string>vimeo.html</string>
	</array>
</item>
</dict>

<options>

   
    <option>
    <displayName>Video URL</displayName>
    <optionName>plvimeovideourl</optionName>
    <ControlWidth>250</ControlWidth>
    <defaultValue></defaultValue>
    <OnNewLine>TRUE</OnNewLine>
    <optionDescription>Vimeo Video URL</optionDescription>
    <controlType>1</controlType>
    <textFieldMaxLength>0</textFieldMaxLength>
    <Value>**N/A**</Value>
    <processingCode><![CDATA[
    //we need to parse the URL and  get the ending numher after the /
dim Value, name As String 
Dim sResult As String
Dim rowText As String
name=Input("dictVariableName")
value=Input("dictVariableValue")
rowText=Input("dictcode")


Dim iFieldCount As Integer = value.CountFields("/")
sResult = value.NthField("/", iFieldCount)

rowtext = rowText.replaceall("{!-"+name+"-!}",sResult)

print rowText
    
    ]]></processingCode>  
    
    
    </option>
    
    <windowOption>
		<ApplyButton>TRUE</ApplyButton>
	</windowOption>
    
</options>


</widget>